package com.example.demo

import org.springframework.boot.autoconfigure.SpringBootApplication
import org.springframework.boot.runApplication
import org.springframework.context.annotation.Bean
import org.springframework.context.annotation.Configuration
import org.springframework.data.redis.connection.RedisConnectionFactory
import org.springframework.data.redis.connection.RedisSentinelConfiguration
import org.springframework.data.redis.connection.jedis.JedisConnectionFactory
import org.springframework.data.redis.core.StringRedisTemplate
import org.springframework.stereotype.Component


@SpringBootApplication
class DemoApplication

fun main(args: Array<String>) {
	runApplication<DemoApplication>(*args)
}

@Configuration
class ConfigClass {

	@Bean
	fun jedisConnectionFactory(): RedisConnectionFactory? {
		val sentinelConfig = RedisSentinelConfiguration()
			.master("<your sentinel master>")
			.sentinel("<your sentinel server>", 26379)

		// This is the config creating the error, comment this in/out to test
		sentinelConfig.database = 2

		return JedisConnectionFactory(sentinelConfig)
	}
}